commit:     857e386e6ba95fc19874f978465d36f25f22dbfb
Author:     Akinori Hattori <hattya <AT> gentoo <DOT> org>
AuthorDate: Fri Jul 20 13:42:57 2018 +0000
Commit:     Akinori Hattori <hattya <AT> gentoo <DOT> org>
CommitDate: Fri Jul 20 13:42:57 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=857e386e

app-text/namazu: drop ltprune

Package-Manager: Portage-2.3.40, Repoman-2.3.9

 app-text/namazu/namazu-2.0.21.ebuild      | 9 ++++-----
 app-text/namazu/namazu-2.0.22_pre7.ebuild | 9 ++++-----
 2 files changed, 8 insertions(+), 10 deletions(-)

diff --git a/app-text/namazu/namazu-2.0.21.ebuild 
b/app-text/namazu/namazu-2.0.21.ebuild
index 92d9023d9ae..7a542c06eb9 100644
--- a/app-text/namazu/namazu-2.0.21.ebuild
+++ b/app-text/namazu/namazu-2.0.21.ebuild
@@ -1,9 +1,9 @@
-# Copyright 1999-2017 Gentoo Foundation
+# Copyright 1999-2018 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
 
 EAPI="6"
 
-inherit autotools elisp-common ltprune
+inherit autotools elisp-common
 
 DESCRIPTION="Namazu is a full-text search engine"
 HOMEPAGE="http://www.namazu.org/";
@@ -78,7 +78,8 @@ src_test() {
 }
 
 src_install () {
-       emake DESTDIR="${D}" install
+       default
+       find "${ED}" -name '*.la' -delete || die
 
        if use emacs; then
                elisp-install ${PN} lisp/*.el*
@@ -87,8 +88,6 @@ src_install () {
                docinto lisp
                dodoc lisp/ChangeLog*
        fi
-
-       prune_libtool_files
 }
 
 pkg_postinst() {

diff --git a/app-text/namazu/namazu-2.0.22_pre7.ebuild 
b/app-text/namazu/namazu-2.0.22_pre7.ebuild
index 92c919dbac5..b0e98040e37 100644
--- a/app-text/namazu/namazu-2.0.22_pre7.ebuild
+++ b/app-text/namazu/namazu-2.0.22_pre7.ebuild
@@ -1,9 +1,9 @@
-# Copyright 1999-2017 Gentoo Foundation
+# Copyright 1999-2018 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
 
 EAPI="6"
 
-inherit autotools elisp-common ltprune
+inherit autotools elisp-common
 
 MY_P="${P/_pre/pre}"
 
@@ -76,7 +76,8 @@ src_test() {
 }
 
 src_install () {
-       emake DESTDIR="${D}" install
+       default
+       find "${ED}" -name '*.la' -delete || die
 
        if use emacs; then
                elisp-install ${PN} lisp/*.el*
@@ -85,8 +86,6 @@ src_install () {
                docinto lisp
                dodoc lisp/ChangeLog*
        fi
-
-       prune_libtool_files
 }
 
 pkg_postinst() {

Reply via email to